WordPress.org

Ready to get started?Download WordPress

Forums

URL Shortener
[resolved] FATAL ERROR (6 posts)

  1. Temlakos
    Member
    Posted 3 years ago #

    The latest update to this plugin crashed my site. I had to remove the main php file to get my site to load again. I removed all files and attempted to reinstall the plugin. And this time, WP refused to activate the plugin. To wit:

    Parse error: syntax error, unexpected ':' in /home6/conserz6/public_html/wp-content/plugins/url-shortener/components/jz_shortener/jzsc.complex.php on line 242

    As is, this plugin is now useless. I will not reinstall it unless and until this error goes away, and stays away. I cannot manage a site that it getting 5000 hits when all of a sudden something happens that stops the hits dead.

  2. Gerald
    Member
    Plugin Author

    Posted 3 years ago #

    Hi Temlakos,

    Plugin has been updated to 4.0.1 with the relevant bugfixes.

    Let me know if there are any other issues.

  3. Temlakos
    Member
    Posted 3 years ago #

    Sorry, but the plugin is still fatally flawed, and my installation refused to activate it.

    Fatal error: Declaration of jzsc_simple::config() must be compatible with that of jzsc_interface::config() in /home6/conserz6/public_html/wp-content/plugins/url-shortener/components/jz_shortener/jzsc.simple.php on line 53

  4. Gerald
    Member
    Plugin Author

    Posted 3 years ago #

    Can you try 4.0.1 again? I have updated the code which hopefully will get rid of that error.

    In the meantime, may I know your PHP version? This is because I cannot replicate the error with my installation even though I'm using the same code.

  5. redinsect
    Member
    Posted 3 years ago #

    I actually get header errors with the latest update:

    Warning: Cannot modify header information - headers already sent by (output started at /home/insect1/public_html/punyweakling/qwerty/wp-content/plugins/url-shortener/inc/options_page_help.php:56) in /home/insect1/public_html/punyweakling/qwerty/wp-includes/pluggable.php on line 897

  6. Gerald
    Member
    Plugin Author

    Posted 3 years ago #

    @redinsect:

    That's gotta do with WordPress handling of whitespace..
    I've cleared the whitespace at the end of the files.

    You can edit /wp-content/plugins/url-shortener/inc/options_page_help.php and delete the last 2 lines (line 54 and 55) until just after ?>

    Alternatively, Please reinstall the plugin and it should be fine... I've recommitted it.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic